Skip to content

List Customer Trades
Experimental

Request

Returns a list of trades from a customer's brokerage accounts. Includes standard trades (BUY, SELL, MATURITY) and security transfer trades.

Security
HTTPBearer
Path
customer_idstring, (uuid)(Customer Id)required
Query
trade_datetime_fromstring or null(Trade Datetime From)
Any of:
string (date-time)
trade_datetime_tostring or null(Trade Datetime To)
Any of:
string (date-time)
book_date_fromstring or null(Book Date From)
Any of:

Filters the resulting trade list by book date from the provided ISO8601 date, inclusively

string (date)
book_date_tostring or null(Book Date To)
Any of:

Filters the resulting trade list by book date to the provided ISO8601 date, inclusively

string (date)
settlement_date_fromstring or null(Settlement Date From)
Any of:

Filters the resulting trade list by settlement date from the provided ISO8601 date, inclusively

string (date)
settlement_date_tostring or null(Settlement Date To)
Any of:

Filters the resulting trade list by settlement date to the provided ISO8601 date, inclusively

string (date)
pocket_id[]Array of strings or null(Pocket Id[])
Any of:
Array of strings (uuid)
orderstring(Order)

Ordered by the trade creation time, descending by default.

Default:"desc"
Enum:"desc""asc"
cursorstring(Cursor)
Default:""
limitinteger, > 0(Limit)
Default:30
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v2/customers/{customer_id}/trades/?trade_datetime_from=2019-08-24T14%3A15%3A22Z&trade_datetime_to=2019-08-24T14%3A15%3A22Z&book_date_from=2019-08-24&book_date_to=2019-08-24&settlement_date_from=2019-08-24&settlement_date_to=2019-08-24&pocket_id%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&order=desc&cursor=&limit=30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of any(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ {} ], "object_type": "CursorList" }